XScreenSaver(1)

NAME
grav - draws a simple orbital simulation

SYNOPSIS
grav [-display host:display.screen] [-foreground color] [-background color] [-window] [-root] [-mono] [-install] [-visual visual] [-ncolors integer] [-delay microseconds] [-count integer] [-decay] [-no-decay] [-trail] [-no-trail] [-fps]

DESCRIPTION
The grav program draws a simple orbital simulation

OPTIONS
grav accepts the following options:

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-mono
    If on a color display, pretend we're on a monochrome display.

-install
    Install a private colormap for the window.

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-ncolors integer
    How many colors should be used (if possible). Default 64. The colors are chosen randomly.

-count integer
    Default 12.

-decay

-no-decay
    Whether orbits should decay.

-trail

-no-trail
    Whether the objects should leave trails behind them (makes it look vaguely like a cloud-chamber.

-fps
    Display the current frame rate and CPU load.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1), xlock(1)

COPYRIGHT
Copyright © 1993 by Greg Bowering. Permission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation.

AUTHOR
Greg Bowering <gb@pobox.com>, 1993. Ability to run standalone or with xscreensaver added by Jamie Zawinski <jwz@jwz.org>, 10-May-97.